import util from '@/utils/util.js'

let orderApiFun = function(vm){
	let listByRecommendOrder		= async (params = {}) => await vm.$u.get('/wxh-worker-rest/rest/recommend/order', params);
	/**
	 * 工单数量查询接口
	 */
	let listOrderCount	= async (params = {}) => await vm.$u.get('/wxh-worker-rest/rest/'+ vm.vuex_token+'/order/queryOrdersCount/V2', params);
	
	/**
	 * 工单列表接口 wxh-worker-rest/rest/order/revision/{token}/list
	 */
	let listOrder	= async (params = {}) => await vm.$u.get('/wxh-worker-rest/rest/order/revision/'+ vm.vuex_token+'/list', params);
	
	/**
	 * 获取师傅的预约日历
	 */
	let workerCalendar	= async (params = {}) => await vm.$u.get('/wxh-worker-rest/rest/'+ vm.vuex_token+'/wokerOrder/appointment/calendar', params);
	
	/**
	 * 师傅预约
	 */
	let workerAppointment	= async (params = {}) => await vm.$u.post('/wxh-worker-rest/rest/order/traceAndAppointment/traceOrder/'+ vm.vuex_token+'/order/{orderId}', params,{'content-type': 'application/x-www-form-urlencoded'});
	
	// 联系顾客时间更新接口，暂时没有
	
	/**
	 * 师傅签到接口 
	 */
	let maintainWorkerCheckin	= async (params = {},orderId) => await vm.$u.post(prefix + '/wxh-worker-rest/rest/'+ vm.vuex_token+'/order/'+orderId+'/maintainWorkerCheckin', params,{'content-type': 'application/x-www-form-urlencoded'});
	/**
	 * 订单详情查询 
	 */
	let orderDetail	= async (params = {}) => await vm.$u.get('/wxh-worker-rest/rest/order/revision/'+ vm.vuex_token+'/'+params.orderId, params);
	
	/* 过程反馈查询接口 */
	let feedbackConfig = async (params = {}) => await vm.$u.get('/wxh-worker-rest/rst/order/v2/getFeedBack/' + vm.vuex_token, params)
	/**
	 * 查询工单操作记录列表接口
	 */
	let listOrderRecord	= async (params = {}) => await vm.$u.get('/wxh-worker-rest/rest/order/record/'+ vm.vuex_token+'/listOrderRecord/'+params.orderId, params);
	
	/**
	 * 接单
	 */
	let orderAccept= async (params = {},orderId) => await vm.$u.get('/wxh-worker-rest/rest/'+ vm.vuex_token+'/order/'+orderId+'/accept', params);
	
	/**
	 * 抢单
	 */
	let orderGan	= async (params = {},orderId) => await vm.$u.post('/wxh-worker-rest/rest/order/revision/applets/'+ vm.vuex_token+'/order/acceptAppletsOrder', params,{'content-type': 'application/x-www-form-urlencoded'});
	
	
	const orderApi = {
		listByRecommendOrder,
		listOrderCount,
		listOrder,
		workerCalendar,
		workerAppointment,
		maintainWorkerCheckin,
		orderDetail,
		listOrderRecord,
		orderAccept,
		orderGan,
		maintainWorkerCheckin,
		feedbackConfig
	}
	return orderApi
}
module.exports =  {
	orderApiFun
}